OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

Profile
Personal Photo
Options
Options
Personal Statement
DoTheDog doesn't have a personal statement currently.
Personal Info
DoTheDog
Age Unknown
Gender Not Set
Location Unknown
Birthday Unknown
Interests
No Information
Statistics
Joined: 9-August 05
Profile Views: 744*
Last Seen: 17th August 2007 - 12:51 PM
Local Time: Aug 28 2015, 08:50 AM
92 posts (0 per day)
Contact Information
AIM No Information
Yahoo No Information
ICQ No Information
MSN No Information
Contact Private
* Profile views updated each hour

DoTheDog

Members


Topics
Posts
Comments
Friends
My Content
17 Jan 2007
Hi all,
I am trying to build an Orbiter for Plutohome for the zaurus using OE. It requires a few libraries that I now have working bb recipes for. But when I build the executable, I get :

CODE
NOTE: Couldn't find shared library provider for libDCECommon.so
NOTE: Couldn't find shared library provider for libSDL_Helpers.so
NOTE: Couldn't find shared library provider for libSerializeClass.so
NOTE: Couldn't find shared library provider for libPlutoUtils.so


What do I need to add to the bb file so that it will find these or their bb files?

Rob
13 Sep 2006
Hi,
I am trying to build a gpe-image for collie kernel 3.5.4.1 however, it always pukes on checking for GCONF_DBUS. Is this a bug or a problem with my config? d-bus was built earlier in the image compile. Here is the error:
clip
| checking whether the ccache arm-linux-g77 -march=armv4 -mtune=xscale linker (arm-linux-ld) supports shared libraries... yes
| checking dynamic linker characteristics... GNU/Linux ld.so
| checking how to hardcode library paths into programs... immediate
| checking whether stripping libraries is possible... yes
| FYI: Using default config source xml::${sysconfdir}/gconf/gconf.xml.defaults for schema installation
| FYI: Will build with debug checks but no debug spew
| checking for gtkdoc-mkdb... false
| checking for db2html... true
| checking for GCONF_DBUS... configure: error: You need either ORBit or D-BUS for IPC
| FATAL: oe_runconf failed
NOTE: Task failed: /media/usbdisk/collie/bitbake-1.4/tmp/work/gconf-dbus-0.0cvs20060102-r9/temp/log.do_configure.14955
NOTE: package gconf-dbus-0.0cvs20060102-r9: task do_configure: failed
ERROR: TaskFailed event exception, aborting
NOTE: package gconf-dbus-0.0cvs20060102: failed
ERROR: Build of gpe-image failed
/clip

Should I submit a bug report? or is this some problem with my environment?

DoTheDog
20 Aug 2006
Ok, I am sure this is a stupid question. But I have googled and googled and even posted a question on the IRC channel.

Anyway, if any of you are following this saga, I am trying to build the Orbiter for PlutoHome (http://www.plutohome.com). It is a home automation system, and I want to use my Akita as an Orbiter or remote.

Here is the question. I am building a number of libraries that are required for the Orbiter executable. I have actually successfully compiled all the dependencies and the executable itself. However, the ipk's aren't what I expected. The makefiles create .so files and the do_package default seems to put them in -dev.ipk files.

I have tried:
PACKAGES = "serializeclass serializeclass-dev"
FILES_serializeclass = "${libdir}/libSerializeClass.so"
FILES_serializeclass-dev = "${FILES_serializeclass}"
AUTO_LIBNAME_PKGS = "serializeclass"

But that doesn't seem to help. I still get:
NOTE: Not creating empty archive for serializeclass-11424.1.1-r0

I have tried grep'ing but I am flying a bit blind here...

Any help is appreciated.

Thanks,
Rob
16 Jul 2006
Hi all,
I really need some help with this. I am running Suse 10 and have successfully installed bitbake, the OE.db, compiled a gpe-image and mysql. Here is my question. I am trying to compile plutohome orbiter for the zaurus (akita). PlutoHome is a open source home automation suite. It uses an "orbiter" as a remote using either bt or wifi. I would love to get this software running on my c1000. IF I can get it to compile, I'll get another c1000 or two to use in the new home automation setup.

Here is the problem. As I mentioned above, I have the environment setup such that I can compile anything that already has a recipe/BB file. I am trying to compile PlutoOrbiter. It requires SerializeClass, PlutoUtils, DCE and a number of header files from other Pluto specific packages. I am starting with a relatively simple lib from pluto called SerializeClass. I have successfully compiled it on pocketworkstation on my z but I can't seem to figure out how to compile it using bitbake.

One question is: the source for PlutoHome is in svn. How do I write in the recipe to download it from the svn repository?

Here is my BB file:

LICENSE = "GPL"
DESCRIPTION = "PlutoHome SerializeClass for Akita"
SECTION = "base"
PRIORITY = "optional"
MAINTAINER = ""
DEPENDS = ""
PR = "r1"

SRC_URI = "http://svn.plutohome.com/pluto/trunk/src/SerializeClass/"

S = "${WORKDIR}/SerializeClass-${PV}"

inherit gpe-image

ALLOW_EMPTY = "1"

PACKAGES = "${PN}"

FILES_${PN} = "/usr/local/bin/*"


Here is the result of "bitbake SerializeClass_SVN"
oc60174:/home/oc60174/crosscompileOE/stuff/build # bitbake SerializeClass_SVN
NOTE: Psyco JIT Compiler (http://psyco.sf.net) not available. Install it to increase performance.
NOTE: Using cache in '/home/oc60174/crosscompileOE/stuff/build/tmp/cache'
NOTE: Parsing finished. 2649 cached, 1 parsed, 35 skipped, 0 masked.
NOTE: build 200607162222: started

OE Build Configuration:
BB_VERSION = "1.4.2"
OE_REVISION = "e1e2c14d38a8ce5263bb95e2c150225a0a822a6b"
TARGET_ARCH = "arm"
TARGET_OS = "linux"
MACHINE = "akita"
DISTRO = "openzaurus"
DISTRO_VERSION = "3.5.4.1"
TARGET_FPU = "soft"

ERROR: Nothing provides dependency SerializeClass_SVN
NOTE:

Here is my local.conf file:
DL_DIR = "${HOME}/crosscompileOE/stuff/sources"
BBFILES = "/home/oc60174/crosscompileOE/stuff/org.openembedded.oz354x/packages/*/*.bb"
BBMASK = ""
PREFERRED_PROVIDERS = "virtual/qte:qte virtual/libqpe:libqpe-opie"
PREFERRED_PROVIDERS += " virtual/libsdl:libsdl-qpe"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc-initial:gcc-cross-initial"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc:gcc-cross"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}g++:gcc-cross"
MACHINE = "akita"
TARGET_ARCH = "arm"
TARGET_OS = "linux"
DISTRO = "openzaurus-3.5.4.1"
KERNEL_VERSION = "2.6"
INHERIT = "package_ipk"
IMAGE_FSTYPES = "jffs2 tar"
BBINCLUDELOGS = "yes"
CVS_TARBALL_STASH = "http://www.oesources.org/source/current/"
#added because qemu-native puked on make
ASSUME_PROVIDED +="qemu-native"

Any and all help is very much appreciated.

Rob
20 Mar 2006
I've googled and googled and searched the oesf forums and it doesn't seem like anyone has an answer. It appears that you would need to get btsco compiled but its dependencies include alsa etc. which looks difficult to get running on a 2.4.20 kernel. I'm most interested in using it with KPhone, so I need it to work with voice quality sound as well as a mic.

Love to hear if anyone has had success.

DoTheDog
Last Visitors
DoTheDog has no visitors to display.

Comments
Other users have left no comments for DoTheDog.

Friends
There are no friends to display.
RSS Lo-Fi Version Time is now: 28th August 2015 - 06:50 AM